<?xml version='1.0' encoding='ISO-8859-1' standalone='yes'?>
<tagfile>
  <compound kind="page">
    <name>main</name>
    <title>Globus FTP Client API</title>
    <filename>main</filename>
    <docanchor>globus_ftp_client_api</docanchor>
  </compound>
  <compound kind="struct">
    <name>globus_ftp_client_restart_extended_block_t</name>
    <filename>structglobus__ftp__client__restart__extended__block__t.html</filename>
  </compound>
  <compound kind="union">
    <name>globus_ftp_client_restart_marker_t</name>
    <filename>unionglobus__ftp__client__restart__marker__t.html</filename>
  </compound>
  <compound kind="struct">
    <name>globus_ftp_client_restart_stream_t</name>
    <filename>structglobus__ftp__client__restart__stream__t.html</filename>
  </compound>
  <compound kind="group">
    <name>globus_ftp_client_activation</name>
    <title>Activation</title>
    <filename>group__globus__ftp__client__activation.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_FTP_CLIENT_MODULE</name>
      <anchor>ga0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_ftp_client_restart_marker</name>
    <title>Restart Markers</title>
    <filename>group__globus__ftp__client__restart__marker.html</filename>
    <class kind="union">globus_ftp_client_restart_marker_t</class>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_restart_marker_init</name>
      <anchor>ga0</anchor>
      <arglist>(globus_ftp_client_restart_marker_t *marker)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_restart_marker_copy</name>
      <anchor>ga1</anchor>
      <arglist>(globus_ftp_client_restart_marker_t *new_marker, globus_ftp_client_restart_marker_t *marker)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_restart_marker_destroy</name>
      <anchor>ga2</anchor>
      <arglist>(globus_ftp_client_restart_marker_t *marker)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_restart_marker_insert_range</name>
      <anchor>ga3</anchor>
      <arglist>(globus_ftp_client_restart_marker_t *marker, globus_off_t offset, globus_off_t end_offset)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_restart_marker_set_ascii_offset</name>
      <anchor>ga4</anchor>
      <arglist>(globus_ftp_client_restart_marker_t *marker, globus_off_t offset, globus_off_t ascii_offset)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_restart_marker_set_offset</name>
      <anchor>ga5</anchor>
      <arglist>(globus_ftp_client_restart_marker_t *marker, globus_off_t offset)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_restart_marker_get_total</name>
      <anchor>ga6</anchor>
      <arglist>(globus_ftp_client_restart_marker_t *marker, globus_off_t *total_bytes)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_restart_marker_to_string</name>
      <anchor>ga7</anchor>
      <arglist>(globus_ftp_client_restart_marker_t *marker, char **marker_string)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_restart_marker_from_string</name>
      <anchor>ga8</anchor>
      <arglist>(globus_ftp_client_restart_marker_t *marker, const char *marker_string)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_ftp_client_handle</name>
    <title>Handle Management</title>
    <filename>group__globus__ftp__client__handle.html</filename>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handle_init</name>
      <anchor>ga1</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, globus_ftp_client_handleattr_t *attr)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handle_destroy</name>
      <anchor>ga2</anchor>
      <arglist>(globus_ftp_client_handle_t *handle)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handle_cache_url_state</name>
      <anchor>ga3</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handle_flush_url_state</name>
      <anchor>ga4</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handle_set_user_pointer</name>
      <anchor>ga5</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, void *user_pointer)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handle_get_user_pointer</name>
      <anchor>ga8</anchor>
      <arglist>(const globus_ftp_client_handle_t *handle, void **user_pointer)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handle_add_plugin</name>
      <anchor>ga6</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, globus_ftp_client_plugin_t *plugin)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handle_remove_plugin</name>
      <anchor>ga7</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, globus_ftp_client_plugin_t *plugin)</arglist>
    </member>
    <member kind="typedef">
      <type>globus_i_ftp_client_handle_t *</type>
      <name>globus_ftp_client_handle_t</name>
      <anchor>ga0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_ftp_client_handleattr</name>
    <title>Handle Attributes</title>
    <filename>group__globus__ftp__client__handleattr.html</filename>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handleattr_init</name>
      <anchor>ga1</anchor>
      <arglist>(globus_ftp_client_handleattr_t *attr)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handleattr_destroy</name>
      <anchor>ga2</anchor>
      <arglist>(globus_ftp_client_handleattr_t *attr)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handleattr_copy</name>
      <anchor>ga3</anchor>
      <arglist>(globus_ftp_client_handleattr_t *dest, globus_ftp_client_handleattr_t *src)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handleattr_set_cache_all</name>
      <anchor>ga4</anchor>
      <arglist>(globus_ftp_client_handleattr_t *attr, globus_bool_t cache_all)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handleattr_get_cache_all</name>
      <anchor>ga13</anchor>
      <arglist>(const globus_ftp_client_handleattr_t *attr, globus_bool_t *cache_all)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handleattr_set_rfc1738_url</name>
      <anchor>ga5</anchor>
      <arglist>(globus_ftp_client_handleattr_t *attr, globus_bool_t rfc1738_url)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handleattr_get_rfc1738_url</name>
      <anchor>ga14</anchor>
      <arglist>(const globus_ftp_client_handleattr_t *attr, globus_bool_t *rfc1738_url)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handleattr_set_clientinfo</name>
      <anchor>ga6</anchor>
      <arglist>(globus_ftp_client_handleattr_t *attr, const char *app_name, const char *app_version, const char *other)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handleattr_get_clientinfo</name>
      <anchor>ga15</anchor>
      <arglist>(globus_ftp_client_handleattr_t *attr, char **app_name, char **app_version, char **other)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handleattr_set_gridftp2</name>
      <anchor>ga7</anchor>
      <arglist>(globus_ftp_client_handleattr_t *attr, globus_bool_t gridftp2)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handleattr_get_gridftp2</name>
      <anchor>ga16</anchor>
      <arglist>(const globus_ftp_client_handleattr_t *attr, globus_bool_t *gridftp2)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handleattr_set_pipeline</name>
      <anchor>ga8</anchor>
      <arglist>(globus_ftp_client_handleattr_t *attr, globus_size_t outstanding_commands, globus_ftp_client_pipeline_callback_t pipeline_callback, void *pipeline_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handleattr_get_pipeline</name>
      <anchor>ga17</anchor>
      <arglist>(const globus_ftp_client_handleattr_t *attr, globus_size_t *outstanding_commands, globus_ftp_client_pipeline_callback_t *pipeline_callback, void **pipeline_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handleattr_add_cached_url</name>
      <anchor>ga9</anchor>
      <arglist>(globus_ftp_client_handleattr_t *attr, const char *url)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handleattr_remove_cached_url</name>
      <anchor>ga10</anchor>
      <arglist>(globus_ftp_client_handleattr_t *attr, const char *url)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handleattr_set_netlogger</name>
      <anchor>ga11</anchor>
      <arglist>(globus_ftp_client_handleattr_t *attr, globus_netlogger_handle_t *nl_handle)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handleattr_set_netlogger_ftp_io</name>
      <anchor>ga18</anchor>
      <arglist>(globus_ftp_client_handleattr_t *attr, globus_netlogger_handle_t *nl_handle, globus_bool_t ftp, globus_bool_t io)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handleattr_add_plugin</name>
      <anchor>ga12</anchor>
      <arglist>(globus_ftp_client_handleattr_t *attr, globus_ftp_client_plugin_t *plugin)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handleattr_remove_plugin</name>
      <anchor>ga19</anchor>
      <arglist>(globus_ftp_client_handleattr_t *attr, globus_ftp_client_plugin_t *plugin)</arglist>
    </member>
    <member kind="typedef">
      <type>globus_i_ftp_client_handleattr_t *</type>
      <name>globus_ftp_client_handleattr_t</name>
      <anchor>ga0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_ftp_client_operations</name>
    <title>FTP Operations</title>
    <filename>group__globus__ftp__client__operations.html</filename>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_exists</name>
      <anchor>ga2</anchor>
      <arglist>(globus_ftp_client_handle_t *u_handle, const char *url, globus_ftp_client_operationattr_t *attr, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_features_init</name>
      <anchor>ga3</anchor>
      <arglist>(globus_ftp_client_features_t *u_features)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_features_destroy</name>
      <anchor>ga4</anchor>
      <arglist>(globus_ftp_client_features_t *u_features)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_feat</name>
      <anchor>ga5</anchor>
      <arglist>(globus_ftp_client_handle_t *u_handle, char *url, globus_ftp_client_operationattr_t *attr, globus_ftp_client_features_t *u_features, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_is_feature_supported</name>
      <anchor>ga6</anchor>
      <arglist>(const globus_ftp_client_features_t *u_features, globus_ftp_client_tristate_t *answer, globus_ftp_client_probed_feature_t feature)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_mkdir</name>
      <anchor>ga7</anchor>
      <arglist>(globus_ftp_client_handle_t *u_handle, const char *url, globus_ftp_client_operationattr_t *attr, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_rmdir</name>
      <anchor>ga8</anchor>
      <arglist>(globus_ftp_client_handle_t *u_handle, const char *url, globus_ftp_client_operationattr_t *attr, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_delete</name>
      <anchor>ga9</anchor>
      <arglist>(globus_ftp_client_handle_t *u_handle, const char *url, globus_ftp_client_operationattr_t *attr, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_list</name>
      <anchor>ga10</anchor>
      <arglist>(globus_ftp_client_handle_t *u_handle, const char *url, globus_ftp_client_operationattr_t *attr, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_verbose_list</name>
      <anchor>ga11</anchor>
      <arglist>(globus_ftp_client_handle_t *u_handle, const char *url, globus_ftp_client_operationattr_t *attr, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_stat</name>
      <anchor>ga12</anchor>
      <arglist>(globus_ftp_client_handle_t *u_handle, const char *url, globus_ftp_client_operationattr_t *attr, globus_byte_t **stat_buffer, globus_size_t *stat_buffer_length, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_mlst</name>
      <anchor>ga14</anchor>
      <arglist>(globus_ftp_client_handle_t *u_handle, const char *url, globus_ftp_client_operationattr_t *attr, globus_byte_t **mlst_buffer, globus_size_t *mlst_buffer_length, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_move</name>
      <anchor>ga15</anchor>
      <arglist>(globus_ftp_client_handle_t *u_handle, const char *source_url, const char *dest_url, globus_ftp_client_operationattr_t *attr, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_chmod</name>
      <anchor>ga16</anchor>
      <arglist>(globus_ftp_client_handle_t *u_handle, const char *url, int mode, globus_ftp_client_operationattr_t *attr, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_get</name>
      <anchor>ga17</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, globus_ftp_client_operationattr_t *attr, globus_ftp_client_restart_marker_t *restart, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_partial_get</name>
      <anchor>ga18</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, globus_ftp_client_operationattr_t *attr, globus_ftp_client_restart_marker_t *restart, globus_off_t partial_offset, globus_off_t partial_end_offset, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_extended_get</name>
      <anchor>ga19</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, globus_ftp_client_operationattr_t *attr, globus_ftp_client_restart_marker_t *restart, const char *eret_alg_str, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_put</name>
      <anchor>ga20</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, globus_ftp_client_operationattr_t *attr, globus_ftp_client_restart_marker_t *restart, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_partial_put</name>
      <anchor>ga21</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, globus_ftp_client_operationattr_t *attr, globus_ftp_client_restart_marker_t *restart, globus_off_t partial_offset, globus_off_t partial_end_offset, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_extended_put</name>
      <anchor>ga22</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, globus_ftp_client_operationattr_t *attr, globus_ftp_client_restart_marker_t *restart, const char *esto_alg_str, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_third_party_transfer</name>
      <anchor>ga23</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *source_url, globus_ftp_client_operationattr_t *source_attr, const char *dest_url, globus_ftp_client_operationattr_t *dest_attr, globus_ftp_client_restart_marker_t *restart, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_partial_third_party_transfer</name>
      <anchor>ga24</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *source_url, globus_ftp_client_operationattr_t *source_attr, const char *dest_url, globus_ftp_client_operationattr_t *dest_attr, globus_ftp_client_restart_marker_t *restart, globus_off_t partial_offset, globus_off_t partial_end_offset, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_extended_third_party_transfer</name>
      <anchor>ga25</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *source_url, globus_ftp_client_operationattr_t *source_attr, const char *eret_alg_str, const char *dest_url, globus_ftp_client_operationattr_t *dest_attr, const char *esto_alg_str, globus_ftp_client_restart_marker_t *restart, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_modification_time</name>
      <anchor>ga26</anchor>
      <arglist>(globus_ftp_client_handle_t *u_handle, const char *url, globus_ftp_client_operationattr_t *attr, globus_abstime_t *modification_time, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_size</name>
      <anchor>ga27</anchor>
      <arglist>(globus_ftp_client_handle_t *u_handle, const char *url, globus_ftp_client_operationattr_t *attr, globus_off_t *size, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_cksm</name>
      <anchor>ga28</anchor>
      <arglist>(globus_ftp_client_handle_t *u_handle, const char *url, globus_ftp_client_operationattr_t *attr, char *cksm, globus_off_t offset, globus_off_t length, const char *algorithm, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_abort</name>
      <anchor>ga29</anchor>
      <arglist>(globus_ftp_client_handle_t *u_handle)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_complete_callback_t</name>
      <anchor>ga0</anchor>
      <arglist>)(void *user_arg, globus_ftp_client_handle_t *handle, globus_object_t *error)</arglist>
    </member>
    <member kind="typedef">
      <type>globus_i_ftp_client_features_s *</type>
      <name>globus_ftp_client_features_t</name>
      <anchor>ga1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>globus_ftp_client_tristate_t</name>
      <anchor>ga30</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>globus_ftp_client_probed_feature_t</name>
      <anchor>ga31</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_machine_list</name>
      <anchor>ga13</anchor>
      <arglist>(globus_ftp_client_handle_t *u_handle, const char *url, globus_ftp_client_operationattr_t *attr, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_ftp_client_operationattr</name>
    <title>FTP Operation Attributes</title>
    <filename>group__globus__ftp__client__operationattr.html</filename>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_storage_module</name>
      <anchor>ga3</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr, const char *module_name, const char *module_args)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_get_storage_module</name>
      <anchor>ga24</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, char **module_name, char **module_args)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_net_stack</name>
      <anchor>ga4</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr, const char *driver_list)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_get_net_stack</name>
      <anchor>ga25</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, char **driver_list)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_disk_stack</name>
      <anchor>ga5</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr, const char *driver_list)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_get_disk_stack</name>
      <anchor>ga26</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, char **driver_list)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_parallelism</name>
      <anchor>ga6</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr, const globus_ftp_control_parallelism_t *parallelism)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_get_parallelism</name>
      <anchor>ga27</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, globus_ftp_control_parallelism_t *parallelism)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_allocate</name>
      <anchor>ga7</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr, const globus_off_t allocated_size)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_get_allocate</name>
      <anchor>ga28</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, globus_off_t *allocated_size)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_authz_assert</name>
      <anchor>ga8</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr, const char *authz_assert, globus_bool_t cache_authz_assert)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_get_authz_assert</name>
      <anchor>ga29</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, char **authz_assert, globus_bool_t *cache_authz_assert)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_striped</name>
      <anchor>ga9</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr, globus_bool_t striped)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_get_striped</name>
      <anchor>ga30</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, globus_bool_t *striped)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_layout</name>
      <anchor>ga10</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr, const globus_ftp_control_layout_t *layout)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_get_layout</name>
      <anchor>ga31</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, globus_ftp_control_layout_t *layout)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_tcp_buffer</name>
      <anchor>ga11</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr, const globus_ftp_control_tcpbuffer_t *tcp_buffer)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_get_tcp_buffer</name>
      <anchor>ga32</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, globus_ftp_control_tcpbuffer_t *tcp_buffer)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_type</name>
      <anchor>ga12</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr, globus_ftp_control_type_t type)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_get_type</name>
      <anchor>ga33</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, globus_ftp_control_type_t *type)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_mode</name>
      <anchor>ga13</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr, globus_ftp_control_mode_t mode)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_get_mode</name>
      <anchor>ga34</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, globus_ftp_control_mode_t *mode)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_list_uses_data_mode</name>
      <anchor>ga14</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, globus_bool_t list_uses_data_mode)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_get_list_uses_data_mode</name>
      <anchor>ga35</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, globus_bool_t *list_uses_data_mode)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_authorization</name>
      <anchor>ga16</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr, gss_cred_id_t credential, const char *user, const char *password, const char *account, const char *subject)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_get_authorization</name>
      <anchor>ga36</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, gss_cred_id_t *credential, char **user, char **password, char **account, char **subject)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_dcau</name>
      <anchor>ga17</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr, const globus_ftp_control_dcau_t *dcau)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_get_dcau</name>
      <anchor>ga37</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, globus_ftp_control_dcau_t *dcau)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_data_protection</name>
      <anchor>ga18</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr, globus_ftp_control_protection_t protection)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_get_data_protection</name>
      <anchor>ga38</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, globus_ftp_control_protection_t *protection)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_control_protection</name>
      <anchor>ga19</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr, globus_ftp_control_protection_t protection)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_get_control_protection</name>
      <anchor>ga39</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, globus_ftp_control_protection_t *protection)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_append</name>
      <anchor>ga20</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr, globus_bool_t append)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_get_append</name>
      <anchor>ga40</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, globus_bool_t *append)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_allow_ipv6</name>
      <anchor>ga21</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr, globus_bool_t allow_ipv6)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_get_allow_ipv6</name>
      <anchor>ga41</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, globus_bool_t *allow_ipv6)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_read_all</name>
      <anchor>ga22</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr, globus_bool_t read_all, globus_ftp_client_data_callback_t intermediate_callback, void *intermediate_callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_get_read_all</name>
      <anchor>ga42</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, globus_bool_t *read_all, globus_ftp_client_data_callback_t *intermediate_callback, void **intermediate_callback_arg)</arglist>
    </member>
    <member kind="typedef">
      <type>globus_i_ftp_client_operationattr_t *</type>
      <name>globus_ftp_client_operationattr_t</name>
      <anchor>ga0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_init</name>
      <anchor>ga1</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_destroy</name>
      <anchor>ga2</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_delayed_pasv</name>
      <anchor>ga15</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, globus_bool_t delayed_pasv)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_copy</name>
      <anchor>ga23</anchor>
      <arglist>(globus_ftp_client_operationattr_t *dst, const globus_ftp_client_operationattr_t *src)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_ftp_client_data</name>
    <title>Reading and Writing Data</title>
    <filename>group__globus__ftp__client__data.html</filename>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_data_callback_t</name>
      <anchor>ga0</anchor>
      <arglist>)(void *user_arg, globus_ftp_client_handle_t *handle, globus_object_t *error, globus_byte_t *buffer, globus_size_t length, globus_off_t offset, globus_bool_t eof)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_register_read</name>
      <anchor>ga1</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, globus_byte_t *buffer, globus_size_t buffer_length, globus_ftp_client_data_callback_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_register_write</name>
      <anchor>ga2</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, globus_byte_t *buffer, globus_size_t buffer_length, globus_off_t offset, globus_bool_t eof, globus_ftp_client_data_callback_t callback, void *callback_arg)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_ftp_client_debug_plugin</name>
    <title>Debugging Plugin</title>
    <filename>group__globus__ftp__client__debug__plugin.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_FTP_CLIENT_DEBUG_PLUGIN_MODULE</name>
      <anchor>ga2</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_debug_plugin_init</name>
      <anchor>ga0</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin, FILE *stream, const char *text)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_debug_plugin_destroy</name>
      <anchor>ga1</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_ftp_client_perf_plugin</name>
    <title>Performance Marker Plugin</title>
    <filename>group__globus__ftp__client__perf__plugin.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_FTP_CLIENT_PERF_PLUGIN_MODULE</name>
      <anchor>ga9</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_perf_plugin_begin_cb_t</name>
      <anchor>ga0</anchor>
      <arglist>)(void *user_specific, globus_ftp_client_handle_t *handle, const char *source_url, const char *dest_url, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_perf_plugin_marker_cb_t</name>
      <anchor>ga1</anchor>
      <arglist>)(void *user_specific, globus_ftp_client_handle_t *handle, long time_stamp_int, char time_stamp_tength, int stripe_ndx, int num_stripes, globus_off_t nbytes)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_perf_plugin_complete_cb_t</name>
      <anchor>ga2</anchor>
      <arglist>)(void *user_specific, globus_ftp_client_handle_t *handle, globus_bool_t success)</arglist>
    </member>
    <member kind="typedef">
      <type>void *(*</type>
      <name>globus_ftp_client_perf_plugin_user_copy_cb_t</name>
      <anchor>ga3</anchor>
      <arglist>)(void *user_specific)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_perf_plugin_user_destroy_cb_t</name>
      <anchor>ga4</anchor>
      <arglist>)(void *user_specific)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_perf_plugin_init</name>
      <anchor>ga5</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin, globus_ftp_client_perf_plugin_begin_cb_t begin_cb, globus_ftp_client_perf_plugin_marker_cb_t marker_cb, globus_ftp_client_perf_plugin_complete_cb_t complete_cb, void *user_specific)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_perf_plugin_set_copy_destroy</name>
      <anchor>ga6</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin, globus_ftp_client_perf_plugin_user_copy_cb_t copy_cb, globus_ftp_client_perf_plugin_user_destroy_cb_t destroy_cb)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_perf_plugin_destroy</name>
      <anchor>ga7</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_perf_plugin_get_user_specific</name>
      <anchor>ga8</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin, void **user_specific)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_ftp_client_plugins</name>
    <title>Plugins</title>
    <filename>group__globus__ftp__client__plugins.html</filename>
    <subgroup>globus_ftp_client_debug_plugin</subgroup>
    <subgroup>globus_ftp_client_perf_plugin</subgroup>
    <subgroup>globus_ftp_client_restart_marker_plugin</subgroup>
    <subgroup>globus_ftp_client_restart_plugin</subgroup>
    <subgroup>globus_ftp_client_throughput_nl_plugin</subgroup>
    <subgroup>globus_ftp_client_throughput_plugin</subgroup>
    <member kind="typedef">
      <type>globus_i_ftp_client_plugin_t *</type>
      <name>globus_ftp_client_plugin_t</name>
      <anchor>ga0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>globus_ftp_client_plugin_t *(*</type>
      <name>globus_ftp_client_plugin_copy_t</name>
      <anchor>ga1</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin_template, void *plugin_specific)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_destroy_t</name>
      <anchor>ga2</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_connect_t</name>
      <anchor>ga3</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_authenticate_t</name>
      <anchor>ga4</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_control_auth_info_t *auth_info)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_chmod_t</name>
      <anchor>ga5</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, int mode, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_cksm_t</name>
      <anchor>ga6</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, globus_off_t offset, globus_off_t length, const char *algorithm, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_delete_t</name>
      <anchor>ga7</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_feat_t</name>
      <anchor>ga8</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_mkdir_t</name>
      <anchor>ga9</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_rmdir_t</name>
      <anchor>ga10</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_list_t</name>
      <anchor>ga11</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_verbose_list_t</name>
      <anchor>ga12</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_machine_list_t</name>
      <anchor>ga13</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_mlst_t</name>
      <anchor>ga14</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_stat_t</name>
      <anchor>ga15</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_move_t</name>
      <anchor>ga16</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *source_url, const char *dest_url, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_get_t</name>
      <anchor>ga17</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_put_t</name>
      <anchor>ga18</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_third_party_transfer_t</name>
      <anchor>ga19</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *source_url, const globus_ftp_client_operationattr_t *source_attr, const char *dest_url, const globus_ftp_client_operationattr_t *dest_attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_modification_time_t</name>
      <anchor>ga20</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_size_t</name>
      <anchor>ga21</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_abort_t</name>
      <anchor>ga22</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_read_t</name>
      <anchor>ga23</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const globus_byte_t *buffer, globus_size_t buffer_length)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_write_t</name>
      <anchor>ga24</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const globus_byte_t *buffer, globus_size_t buffer_length, globus_off_t offset, globus_bool_t eof)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_data_t</name>
      <anchor>ga25</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, globus_object_t *error, const globus_byte_t *buffer, globus_size_t length, globus_off_t offset, globus_bool_t eof)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_command_t</name>
      <anchor>ga26</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, const char *command)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_response_t</name>
      <anchor>ga27</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, globus_object_t *error, const globus_ftp_control_response_t *ftp_response)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_fault_t</name>
      <anchor>ga28</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, globus_object_t *error)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_complete_t</name>
      <anchor>ga29</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle)</arglist>
    </member>
    <member kind="enumeration">
      <name>globus_ftp_client_plugin_command_mask_t</name>
      <anchor>ga51</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_FTP_CLIENT_CMD_MASK_CONTROL_ESTABLISHMENT</name>
      <anchor>gga51a30</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_FTP_CLIENT_CMD_MASK_DATA_ESTABLISHMENT</name>
      <anchor>gga51a31</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_FTP_CLIENT_CMD_MASK_TRANSFER_PARAMETERS</name>
      <anchor>gga51a32</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_FTP_CLIENT_CMD_MASK_TRANSFER_MODIFIERS</name>
      <anchor>gga51a33</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_FTP_CLIENT_CMD_MASK_FILE_ACTIONS</name>
      <anchor>gga51a34</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_FTP_CLIENT_CMD_MASK_INFORMATION</name>
      <anchor>gga51a35</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_FTP_CLIENT_CMD_MASK_MISC</name>
      <anchor>gga51a36</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_FTP_CLIENT_CMD_MASK_BUFFER</name>
      <anchor>gga51a37</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_FTP_CLIENT_CMD_MASK_ALL</name>
      <anchor>gga51a38</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_list</name>
      <anchor>ga30</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_verbose_list</name>
      <anchor>ga31</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_machine_list</name>
      <anchor>ga32</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_mlst</name>
      <anchor>ga33</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_stat</name>
      <anchor>ga34</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_chmod</name>
      <anchor>ga35</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, int mode, const globus_ftp_client_operationattr_t *attr, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_cksm</name>
      <anchor>ga36</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, globus_off_t offset, globus_off_t length, const char *algorithm, const globus_ftp_client_operationattr_t *attr, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_delete</name>
      <anchor>ga37</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_feat</name>
      <anchor>ga38</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_mkdir</name>
      <anchor>ga39</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_rmdir</name>
      <anchor>ga40</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_move</name>
      <anchor>ga41</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *source_url, const char *dest_url, const globus_ftp_client_operationattr_t *attr, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_get</name>
      <anchor>ga42</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, globus_ftp_client_restart_marker_t *restart_marker, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_put</name>
      <anchor>ga43</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, globus_ftp_client_restart_marker_t *restart_marker, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_third_party_transfer</name>
      <anchor>ga44</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *source_url, const globus_ftp_client_operationattr_t *source_attr, const char *dest_url, const globus_ftp_client_operationattr_t *dest_attr, globus_ftp_client_restart_marker_t *restart_marker, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_size</name>
      <anchor>ga45</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_modification_time</name>
      <anchor>ga46</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_get_marker</name>
      <anchor>ga47</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, globus_ftp_client_restart_marker_t *marker)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_abort</name>
      <anchor>ga48</anchor>
      <arglist>(globus_ftp_client_handle_t *handle)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_add_data_channels</name>
      <anchor>ga49</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, unsigned int num_channels, unsigned int stripe)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_remove_data_channels</name>
      <anchor>ga50</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, unsigned int num_channels, unsigned int stripe)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_ftp_client_restart_marker_plugin</name>
    <title>Restart Marker Plugin</title>
    <filename>group__globus__ftp__client__restart__marker__plugin.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_FTP_CLIENT_RESTART_MARKER_PLUGIN_MODULE</name>
      <anchor>ga5</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>globus_bool_t(*</type>
      <name>globus_ftp_client_restart_marker_plugin_begin_cb_t</name>
      <anchor>ga0</anchor>
      <arglist>)(void *user_arg, globus_ftp_client_handle_t *handle, const char *source_url, const char *dest_url, globus_ftp_client_restart_marker_t *user_saved_marker)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_restart_marker_plugin_marker_cb_t</name>
      <anchor>ga1</anchor>
      <arglist>)(void *user_arg, globus_ftp_client_handle_t *handle, globus_ftp_client_restart_marker_t *marker)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_restart_marker_plugin_complete_cb_t</name>
      <anchor>ga2</anchor>
      <arglist>)(void *user_arg, globus_ftp_client_handle_t *handle, globus_object_t *error, const char *error_url)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_restart_marker_plugin_init</name>
      <anchor>ga3</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin, globus_ftp_client_restart_marker_plugin_begin_cb_t begin_cb, globus_ftp_client_restart_marker_plugin_marker_cb_t marker_cb, globus_ftp_client_restart_marker_plugin_complete_cb_t complete_cb, void *user_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_restart_marker_plugin_destroy</name>
      <anchor>ga4</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_ftp_client_restart_plugin</name>
    <title>Restart Plugin</title>
    <filename>group__globus__ftp__client__restart__plugin.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_FTP_CLIENT_RESTART_PLUGIN_MODULE</name>
      <anchor>ga2</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_restart_plugin_init</name>
      <anchor>ga0</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin, int max_retries, globus_reltime_t *interval, globus_abstime_t *deadline)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_restart_plugin_destroy</name>
      <anchor>ga1</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_ftp_client_throughput_nl_plugin</name>
    <title>Netlogger Throughput Plugin</title>
    <filename>group__globus__ftp__client__throughput__nl__plugin.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_FTP_CLIENT_THROUGHPUT_NL_PLUGIN_MODULE</name>
      <anchor>ga4</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_throughput_nl_plugin_init</name>
      <anchor>ga0</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin, const char *nl_url, const char *prog_name, const char *opaque_string)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_throughput_nl_plugin_init_with_handle</name>
      <anchor>ga1</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin, NLhandle *nl_handle, const char *opaque_string)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_throughput_nl_plugin_destroy</name>
      <anchor>ga2</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_throughput_nl_plugin_set_callbacks</name>
      <anchor>ga3</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin, globus_ftp_client_throughput_plugin_begin_cb_t begin_cb, globus_ftp_client_throughput_plugin_stripe_cb_t per_stripe_cb, globus_ftp_client_throughput_plugin_total_cb_t total_cb, globus_ftp_client_throughput_plugin_complete_cb_t complete_cb, void *user_specific)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_ftp_client_throughput_plugin</name>
    <title>Throughput Performance Plugin</title>
    <filename>group__globus__ftp__client__throughput__plugin.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_FTP_CLIENT_THROUGHPUT_PLUGIN_MODULE</name>
      <anchor>ga10</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_throughput_plugin_begin_cb_t</name>
      <anchor>ga0</anchor>
      <arglist>)(void *user_specific, globus_ftp_client_handle_t *handle, const char *source_url, const char *dest_url)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_throughput_plugin_stripe_cb_t</name>
      <anchor>ga1</anchor>
      <arglist>)(void *user_specific, globus_ftp_client_handle_t *handle, int stripe_ndx, globus_off_t bytes, float instantaneous_throughput, float avg_throughput)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_throughput_plugin_total_cb_t</name>
      <anchor>ga2</anchor>
      <arglist>)(void *user_specific, globus_ftp_client_handle_t *handle, globus_off_t bytes, float instantaneous_throughput, float avg_throughput)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_throughput_plugin_complete_cb_t</name>
      <anchor>ga3</anchor>
      <arglist>)(void *user_specific, globus_ftp_client_handle_t *handle, globus_bool_t success)</arglist>
    </member>
    <member kind="typedef">
      <type>void *(*</type>
      <name>globus_ftp_client_throughput_plugin_user_copy_cb_t</name>
      <anchor>ga4</anchor>
      <arglist>)(void *user_specific)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_throughput_plugin_user_destroy_cb_t</name>
      <anchor>ga5</anchor>
      <arglist>)(void *user_specific)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_throughput_plugin_init</name>
      <anchor>ga6</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin, globus_ftp_client_throughput_plugin_begin_cb_t begin_cb, globus_ftp_client_throughput_plugin_stripe_cb_t per_stripe_cb, globus_ftp_client_throughput_plugin_total_cb_t total_cb, globus_ftp_client_throughput_plugin_complete_cb_t complete_cb, void *user_specific)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_throughput_plugin_set_copy_destroy</name>
      <anchor>ga7</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin, globus_ftp_client_throughput_plugin_user_copy_cb_t copy_cb, globus_ftp_client_throughput_plugin_user_destroy_cb_t destroy_cb)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_throughput_plugin_destroy</name>
      <anchor>ga8</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_throughput_plugin_get_user_specific</name>
      <anchor>ga9</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin, void **user_specific)</arglist>
    </member>
  </compound>
</tagfile>
